/**
 * JBoss, Home of Professional Open Source
 * Copyright 2012, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.arquillian.warp.client.execution;

import org.jboss.arquillian.warp.Inspection;
import org.jboss.arquillian.warp.client.result.WarpResult;

public interface SingleInspectionSpecifier {

    /**
     * The key for single request executions
     */
    Object GROUP_ID = SingleInspectionSpecifier.class;

    /**
     * Asserts given server state
     *
     * @param inspection the object containing inspections which should be verified on the server
     * @return the verified server state returned from the server
     */
    <T extends Inspection> T inspect(T inspection);

    /**
     * Asserts given server state
     *
     * @param inspections the objects containing inspections which should be verified on the server in the given order of
     *        execution
     * @return the result of server state verification
     */
    WarpResult inspectAll(Inspection... inspections);
}
